<style scoped="">
.mobile_expander{
  padding-left: 10px;
  padding-right: 10px;
  background-color: #fff;
}
.mobile_expander>li, .expander_child li{
  height: 65px;
  display: flex;
  align-items: center;
  border-bottom: 1px solid #eee;
  padding-right: 10px;
  justify-content: space-between;
}  
.mobile_expander>li a, .expander_child li a{
  display: block;
  width: 100%;
}
.selected{
  color: #065cff;
}
.expander_child{
  /*display: none;*/
}
.expander_child li{
  border-bottom: 1px solid rgba(0, 0, 0, 0);
  padding-left: 15px;
}
.arrow{
  border-left: 2px solid #0D5EE5;
  border-bottom: 2px solid #0D5EE5;
  width: 6px;
  height: 6px;
  transform: rotate(-45deg);
}
</style>
<template>
  <div>
    <ul class="mobile_expander">
      <!-- -- {{ data }} -- -->
      <li @click="toggle">
        <div target="_blank" v-bind:href="data.title.url" v-if="data.children && data.children.length" >{{ data.title.text }}</div>
        <!-- <a target="_blank" v-bind:href="data.title.url" v-if="!data.children || !data.children.length" >{{ data.title.text }}</a> -->
        <router-link :to="{'name': data.title.router.name}" :class="{'selected': $route.name == data.title.router.name}" v-if="!data.children || !data.children.length">
          {{ data.title.text }}
        </router-link>
        <div class="arrow" v-if="data.children && data.children.length"></div>
      </li>
      <ul class="expander_child" v-if="show_expander">
        <li v-for="item in data.children">
          <!-- <a target="_blank" v-bind:href="item.url">{{ item.text }}</a> -->
          <router-link :to="{'name': item.router.name}" :class="{'selected': $route.name == item.router.name}">
            {{ item.text }}
          </router-link>
        </li>
      </ul>
    </ul>
  </div>
</template>
<script>
export default {
  data () {
    return {
      show_expander: false
    }
  },

  props: {
    data: Object,
    default () {

      return {
        title: {
          url: 'https://github.com/eosforce',
          text: '开发者'
        },
        children: [
          {
            url: 'https://github.com/eosforce',
            text: 'Github'
          },
          {
            url: 'https://eosforce.github.io/Documentation/',
            text: '文档'
          },
          {
            url: 'https://open.eosforce.io/',
            text: '一键起链'
          }
        ]
      }

    }
  },

  methods: {
    toggle () {
      if(this.show_expander){
        this.show_expander = false;
      }else{
        this.show_expander = true;
      }
    }
  }
}
</script>